Skip to content

AssignmentStatusType


OpenAPI Spec

GET
/v1/assignment-status-types/spec

Get OpenAPI 3.1.0 spec for AssignmentStatusType API

Responses

Returns OpenAPI 3.1.0 spec for AssignmentStatusType API

application/json
JSON
{
}

Playground

Samples


List AssignmentStatusTypes

GET
/v1/assignment-status-types

List AssignmentStatusTypes

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
deactivatedAt
createdAt
updatedAt

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"name": "string",
"order": 0,
"category": "string",
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Get an AssignmentStatusType

GET
/v1/assignment-status-types/{assignmentStatusTypeId}

Get an AssignmentStatusType by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentStatusTypeId*
Type
integer
Required
Format
"int32"

Responses

AssignmentStatusType found

application/json
JSON
{
"id": 0,
"name": "string",
"order": 0,
"category": "string",
"deactivatedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples